"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
/**
 * Controllers are registered as services in stix.
 * This allows for complex factories to be provided without losing IoC and DI.
 *
 * To simplify things for common cases such as simple controllers with perhaps a single dependency,
 * stix allows you to specify a `locations` entry.
 * Stix will load the controllers in these directories and register them as invokables.
 *
 * This has the added benefit of supporting the @inject()` and `@patch` decorators.
 */
exports.controller = {
    locations: [path_1.default.resolve(__dirname, '..', 'Library', 'Controller')],
};
const test = { foo: 'bar' };
//# sourceMappingURL=controller.js.map