"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const stix_1 = require("stix");
const Controller_1 = require("../Library/Controller");
/**
 * This config is where you configure your routes.
 *
 * The Route class offers helpers for you to maintain references in your code and prettify the whole deal.
 * Route offers methods that correspond to their request method:
 *
 *  Signature: Route.method(route, controller, action)
 *
 *  Some examples:
 *    - Route.post('/user/signup', 'UserController', 'signup');
 *    - Route.patch('/user/:id', 'UserController', 'updateProfile');
 *    - Route.delete('/cart/:product', 'CartController', 'removeFromCart');
 *
 *  Available methods:
 *    - post
 *    - get
 *    - delete
 *    - put
 *    - patch
 */
exports.router = {
    routes: [
        stix_1.Route.get('/swagger/ui', Controller_1.SwaggerController, 'ui'),
        stix_1.Route.get('/swagger/doc', Controller_1.SwaggerController, 'doc'),
    ],
};
//# sourceMappingURL=router.js.map